org.apache.ignite.internal.processors.cache.transactions

## Class TxDeadlockDetection

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.transactions.TxDeadlockDetection

    public class TxDeadlockDetection
    extends Object

Transactions deadlock detection.

### Field Summary

Fields
`static int` `DFLT_TX_DEADLOCK_DETECTION_TIMEOUT`

### Constructor Summary

Constructors
Constructor and Description
`TxDeadlockDetection(GridCacheSharedContext<?,?> cctx)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DFLT_TX_DEADLOCK_DETECTION_TIMEOUT

    public static final int DFLT_TX_DEADLOCK_DETECTION_TIMEOUT

See Also:
  `IgniteSystemProperties.IGNITE_TX_DEADLOCK_DETECTION_TIMEOUT`, Constant Field Values

### Constructor Detail

#### TxDeadlockDetection

    public TxDeadlockDetection(GridCacheSharedContext<?,?> cctx)

Parameters:
  `cctx` - Context.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021